Uploaded image for project: 'Cassandra'
  1. Cassandra
  2. CASSANDRA-18844

Cassandra 5 Debian package only runs on OpenJDK

    XMLWordPrintableJSON

Details

    Description

      A recent change to the Cassandra 5 branch has caused the Cassandra deb package to no longer install on systems that don't run OpenJDK

       

      The following line is too restrictive

      https://github.com/apache/cassandra/blob/trunk/debian/control#L14

      It should be modified to use the java11-runtime and java17-runtime virtual packages.

      Attachments

        1. image-2023-09-13-18-53-38-884.png
          186 kB
          Jackson Fleming
        2. image-2023-09-13-21-03-57-010.png
          60 kB
          Jackson Fleming
        3. image-2023-09-13-21-04-42-525.png
          58 kB
          Jackson Fleming

        Issue Links

          Activity

            People

              Jfleming Jackson Fleming
              Jfleming Jackson Fleming
              Jackson Fleming
              Brandon Williams, Stefan Miklosovic
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 20m
                  20m